FGC-RBAC
角色管理

获取角色全量列表

GET
/GetRoleList

获取所有角色节点的全量数据,通常用于构建角色树。

AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://camp.app.hzgcloud.cn/rbac/ServerCommand/GetRoleList"
{
  "ErrCode": 0,
  "Message": "success",
  "data": [
    {
      "Id": 1,
      "uniqueKey": "1~0",
      "pUniqueKey": "",
      "icon": "80c6830e-12e9-43b4-bcd1-0bfd0eb5242b_文件夹(1).svg",
      "name": "岗位",
      "isRole": 0,
      "pId": null,
      "sort": 1
    },
    {
      "Id": 1,
      "uniqueKey": "1~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "Administrator",
      "isRole": 1,
      "pId": null,
      "sort": 1
    },
    {
      "Id": 2,
      "uniqueKey": "2~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "部门经理",
      "isRole": 1,
      "pId": null,
      "sort": 2
    }
  ]
}